# https://files.pythonhosted.org/packages/02/9d/39e830f7283a43fc5e26aadb8f63fc7f7038ef6a2f6c74f629b6795842f8/python-gnutls-3.1.1.tar.gz
%global module gnutls

Name:		        python-%{module}
Version:	      3.1.3
Release:	      %mkrel 1
Summary:        Python wrapper for the GNUTLS library
License:	      LGPL
Group:          Development/Python
URL:		        http://pypi.python.org/pypi/python-gnutls
Source:         %{name}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       lib64gnutls30
Requires:       lib64gcrypt20

%description
%{summary}.

%package -n python3-%{module}
Summary:        %{summary}
Group:          Development/Python
Requires:       %{_lib}gnutls30
Requires:       %{_lib}gcrypt20

%description -n python3-%{module}
%{summary}.

%prep
%setup -qn %{name}-%{version}
cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
popd

%files -n python3-%{module}
%{python3_sitelib}/*

%changelog
* Mon Aug 22 2022 tex - 3.1.3-1pclos2022
- new version

* Mon Apr 16 2018 marcin82 <fixxer1982 at gmail.com> 3.1.1-1pclos2018
- update

* Mon Sep 07 2015 Ken <lxgator at gmail.com> 2.0.1-1pclos2015
- update
